Skip to main content
`Ctrl`+`K`

# DMPlexMetricDeterminantCreate

Create the determinant field for a Riemannian metric

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricDeterminantCreate(DM dm, PetscInt f, Vec *determinant, DM *dmDet)

## Input Parameters

- dm - The `DM` of the metric field

- f - The field number to use

## Output Parameters

- determinant - The determinant field

- dmDet - The corresponding `DM`

## See Also

`DMPLEX`, `DMPlexMetricCreateUniform()`, `DMPlexMetricCreateIsotropic()`, `DMPlexMetricCreate()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages